Introduction

Part of the Baumer GAPI SDK is the so called runtime which is required to build a custom application. It provides all necessary components to integrate a Baumer camera and control it via C++ or C#.

On a development system the Baumer GAPI is usually installed using the Windows® installer or the Linux® package-manager.

The installation does:

Notice

The installation of the Baumer GAPI with the installer/packet-manager is not necessary for the deployment of a Baumer GAPI vision application. All necessary steps can be done manually or integrated into your usual deployment process.


Deployment of a Baumer GAPI vision application

Create a release version of an application

The Baumer GAPI Programmers Guide explains how to create an application for the Windows® or Linux® operating system. The Programmers Guide also explains which headers and libraries need to be linked and copied to the target system.

Notice

If no USB cameras are used, the USB producer (bgapi2_usb.cti) and its configuration (bsysusb.xml) can be omitted.

If no GigE cameras are used, the GigE producer (bgapi2_gige.cti) and its configuration (bsysgige.xml) can be omitted.

Installing necessary drivers

On a Linux® System no additional drivers are required as the standard USB driver (libusb) is used. 

To use Baumer USB cameras on a Windows® system it is necessary to install the included USB driver. The driver is located in the directory <InstallDir>/driver/. You will find drivers for Windows® 7 and 10, each for x64 und x86.

On Windows® systems it is beneficial to use the provided GigE filter driver. This driver helps to efficiently handle the data-stream of GigE cameras and therefore reduces the system-load. The GigE filter driver can be found in the directory <InstallDir>/driver/. You will find drivers for Windows® 7 and 10 each for x64 und x86.

The driver installation can be done in a «silent-mode». This helps with integration into custom setups or deployment-processes. You can learn more about the supported command-line parameters by starting the installer with the parameter  bdriver_usb64.msi /? or bdrivermanager.exe /? .

Notice

Windows® 7 systems without Service Pack 1

Because of security requirements of Windows® 10 it is no longer possible to install the Baumer GAPI and it’s drivers on an unpatched Windows® 7. However with some limitations it is possible to deploy an Baumer GAPI vision application on such a system. You will need an development system on which the Baumer GAPI can be installed (min. Windows® 7 with Service Pack 1). A release version of your application can be compiled here and manually copied on the target system.

 

Limitations:

 


Support

Please contact our Technical & Application Support Center with any questions.

Phone: +49 3528 4386 845
E-mail: support.cameras@baumer.com

To the top